
QGIS Application - Bug report #14319

master: coordinates of cursor in statusbar in WGS84 instead of project CRS

2016-02-17 03:23 AM - Roel Huybrechts

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22308

Description

The coordinates of the cursor as shown in the statusbar are now always in the WGS84 (EPSG:4326) CRS. These used to be (in QGIS

2.12 and previous) in the project's CRS.

This is important as users use this to navigate the map based on known coordinates.

It only applies to the coordinates of the mouse position: if you switch view to 'extents' using the button on the side the coordinates are in

the project's CRS.

Associated revisions

Revision 800b5212 - 2016-02-17 02:46 PM - Nyall Dawson

Restore default coordinate format to map units (fix #14319)

History

#1 - 2016-02-17 05:46 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"800b521231b3655513c311a9578da0390dff2962".

#2 - 2016-02-19 11:54 PM - Tudor Bărăscu

- Status changed from Closed to Reopened

I just noticed this issue yesterday.

I just compiled the latest master and it's still present in a project that I'm using.

Can some leftovers be in the xml file or the issue is present everywhere?

I have disabled OTF in the project settings and in Options/settings but I cannot get rid of the wrong WGS84 display.

#3 - 2016-02-19 11:59 PM - Nyall Dawson

- Status changed from Reopened to Closed
Check the coordinate display seeing under project properties

#4 - 2016-02-20 11:34 PM - Tudor Bărăscu

Thanks a lot Nyall for the guidance and for your really nice work.

Hadn't noticed those before.

#5 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown
